package UserInterface;

/**
 * @author Costas Vandikas (vandikas@csd.uoc.gr)
 */

import javax.swing.JPanel;
import java.awt.Container;

/**
 * Panel with reference to Master Container
 */
public class ChildPanel extends JPanel
{
	/**
     * Holds a reference to the Master Container
     */
	protected Container _masterContainer;

	/**
     * Sets the Master Container
     */
	private void setMasterContainer()
	{
		Container testObject = getParent();
		while ( !( testObject instanceof MainFrame ) )
			testObject = testObject.getParent();

		_masterContainer = testObject;
	}

	/**
     * Gets the Master Container
     */
	public Container getMasterContainer()
	{
		if ( _masterContainer == null )
			setMasterContainer();
			
		return _masterContainer;
	}
}