package TextDatabase;

/**
 * @author Costas Vandikas (vandikas@csd.uoc.gr)
 */

import java.util.Comparator;

/**
 * A Keyword has a name and a frequency
 */
public class Keyword implements Comparable, Comparator
{
	/**
     * Holds the name of the keyword
     */
	private String _keywordName;
	/**
     * Holds the frequency of the keyword
     */
	private int _frequency;

	/**
     * Initializes a the Keyword and sets it's name
     */
	public Keyword( String KeywordName )
	{
		_keywordName = KeywordName;
		_frequency = 0;
	}

	/**
     * Initializes the Keyword and sets it's name and frequency
     */
	public Keyword( String KeywordName, int Frequency )
	{
		_keywordName = KeywordName;
		_frequency = Frequency;
	}

	/**
     * Sets the keyword's name
     */
	public void setKeywordName( String KeywordName )
	{
		_keywordName = KeywordName;
	}

	/**
     * Sets the keyword's frequency
     */
	public void setFrequency( int Frequency )
	{
		_frequency = Frequency;
	}

	/**
     * Gets the keyword's name
     */
	public String getKeywordName()
	{
		return _keywordName;
	}

	/**
     * Gets the keyword frequency
     */
	public int getFrequency()
	{
		return _frequency;
	}

	/**
     * Checks the equality of the keyword with an object
     */
	public boolean equals( Object obj )
	{
		String testString = ( obj instanceof Keyword ) ? 
				((Keyword)obj)._keywordName : obj.toString() ;

		return ( _keywordName.equals(testString) );
	}

	/**
     * Compares the keyword to another object
     */
	public int compareTo( Object obj )
	{
		String testString = ( obj instanceof Keyword ) ? 
				((Keyword)obj)._keywordName : obj.toString() ;

		return _keywordName.compareTo( testString );
	}
	
	/**
     * Compares one keyword with another
     */
	public int compare( Object o1, Object o2 )
	{
		return ( ((Keyword)o1).compareTo(o2)) ;
	}

	/**
     * Gets the keyword's name
     */
	public String toString()
	{
		return _keywordName;
	}
}