package UserInterface;

/**
 * @author Costas Vandikas (vandikas@csd.uoc.gr)
 */

import java.util.Vector;
import javax.swing.JTable;

/**
 * The ReadOnlyTable is JTable whose contents cannot be edited
 */
public class ReadOnlyTable extends JTable
{
	/**
     * Initializes the ReadOnlyTable
     */
	public ReadOnlyTable( Vector rowData, Vector columnData )
	{
		super( rowData, columnData );
	}

	/**
     * Prevents a cell from being edited
     */
	public boolean isCellEditable( int row, int column )
	{
		return false;
	}
}