package TextDatabase;

/**
 * @author Costas Vandikas (vandikas@csd.uoc.gr)
 */

import java.util.TreeSet;

/**
 * The StopWordTreeSet is TreeSet of StopWords.
 * It populates itself from a filename
 */
public class StopWordTreeSet extends TreeSet
{
	/**
     * Holds the fileName with the collection of stopwords
     */
	private final String stopWordsFileName = "support/stopwords.txt";
	
	/**
     * Initializes the StopWordTreeSet from the file
     */
	public StopWordTreeSet()
	{
		PopulateTree();
	}

	/**
     * Populates the StopWordsTreeSet
     */
	private void PopulateTree()
	{
		try
		{
			WordReader wordReader = new WordReader(stopWordsFileName);
			while( wordReader.ready() )
				add(wordReader.ReadWord());

			wordReader.close();
		}
		catch( Exception x )
		{
			System.out.println( x.toString ());
		}
	}
}